<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="style.css" rel="stylesheet" />
    <title>obsidian flexbox assignment</title>
  </head>
  <body>
    <section class="text-stone-50 bg-slate-700 py-5">
      <nav
        class="w-3/4 mx-auto text-lg flex flex-row justify-between items-baseline"
      >
        <h2 class="text-2xl">Header Logo</h2>
        <ul class="flex flex-row gap-5 text-base">
          <li><a class="pointer" href="#">header link one</a></li>
          <li><a class="pointer" href="#">header link two</a></li>
          <li><a class="pointer" href="#">header link three</a></li>
        </ul>
      </nav>
      <div class="container w-3/4 mx-auto flex flex-row gap-4 py-24">
        <div class="w-1/2">
          <h1 class="text-5xl font-extrabold">This website is awesome</h1>
          <p class="text-lg py-2">
            This website has some subtext that goes here under the main title.
            It's a smaller font and the color is lower contrast
          </p>
          <button
            class="bg-blue-500 text-stone-50 font-extrabold py-2 px-10 rounded-md"
          >
            Sign up
          </button>
        </div>
        <div class="w-1/2">
          <img class="mx-auto" src="https://picsum.photos/640/360" alt="" />
        </div>
      </div>
    </section>
    <section class="text-gray-800 py-12">
      <div class="container w-1/2 mx-auto">
        <h1 class="text-4xl font-extrabold text-center pb-5">
          Some random information.
        </h1>
        <div class="container flex flex-row gap-4">
          <div class="card">
            <img
              class="rounded-md mx-auto object-cover"
              src="https://picsum.photos/200/200"
              alt=""
            />
            <p class="py-2 text-center">
              this is some subtext under an illustration or image
            </p>
          </div>
          <div class="card">
            <img
              class="rounded-md mx-auto object-cover"
              src="https://picsum.photos/200/200"
              alt=""
            />
            <p class="py-2 text-center">
              this is some subtext under an illustration or image
            </p>
          </div>
          <div class="card">
            <img
              class="rounded-md mx-auto object-cover"
              src="https://picsum.photos/200/200"
              alt=""
            />
            <p class="py-2 text-center">
              this is some subtext under an illustration or image
            </p>
          </div>
          <div class="card">
            <img
              class="rounded-md mx-auto object-cover"
              src="https://picsum.photos/200/200"
              alt=""
            />
            <p class="py-2 text-center">
              this is some subtext under an illustration or image
            </p>
          </div>
        </div>
      </div>
    </section>
    <section class="bg-gray-200 text-gray-800 py-24" id="quote">
      <div class="container w-1/2 mx-auto">
        <p class="text-4xl font-extralight italic">
          This is an inspiring quote, or a testimonial from a customer. Maybe
          it's just filling up space, or maybe people will actually read it. Who
          knows? All I know is that it looks nice.
        </p>
        <small class="float-right font-extrabold text-2xl py-3">-Thor, God of Thunder</small>
      </div>
    </section>
    <section class="text-stone-50 bg-blue-500 mx-auto w-3/4 rounded-md my-24" id="cto">
      <div
        class="container w-4/6 mx-auto flex flex-row gap-4 py-10"
      >
        <div class="container w-3/4">
          <h2 class="text-2xl font-extrabold">Call to action! It's time!</h2>
          <p>
            Sign up for our product by clicking that button right over there!
          </p>
        </div>
        <div class="w-1/4 flex align-middle">
          <button
            class="border-slate-50 border-2 font-extrabold py-2 px-10 mx-auto rounded-md"
          >
            Sign up
          </button>
        </div>
      </div>
    </section>
    <footer class="text-stone-50 bg-slate-700 b-0 py-5">
      <div class="container w-3/4 mx-auto">
        <p class="text-center">Copyright &copy Cesare Schwabl 2023</p>
      </div>
    </footer>
  </body>
</html>
